Package io.dapr.v1

# Class DaprProtos.GetSecretResponse.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretResponse.Builder>
io.dapr.v1.DaprProtos.GetSecretResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.GetSecretResponseOrBuilder`, `java.lang.Cloneable`

Enclosing class:
  DaprProtos.GetSecretResponse

    public static final class DaprProtos.GetSecretResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretResponse.Builder>
    implements DaprProtos.GetSecretResponseOrBuilder

     GetSecretResponse is the response mesage to convey the requested secret.

Protobuf type `dapr.proto.runtime.v1.GetSecretResponse`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `DaprProtos.GetSecretResponse.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)` |
  `DaprProtos.GetSecretResponse` | `build()` |
  `DaprProtos.GetSecretResponse` | `buildPartial()` |
  `DaprProtos.GetSecretResponse.Builder` | `clear()` |
  `DaprProtos.GetSecretResponse.Builder` | `clearData()` |
  `DaprProtos.GetSecretResponse.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
  `DaprProtos.GetSecretResponse.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
  `DaprProtos.GetSecretResponse.Builder` | `clone()` |
  `boolean` | `containsData​(java.lang.String key)` | data is the secret value.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getData()` | Deprecated.
  `int` | `getDataCount()` | data is the secret value.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getDataMap()` | data is the secret value.
  `java.lang.String` | `getDataOrDefault​(java.lang.String key, java.lang.String defaultValue)` | data is the secret value.
  `java.lang.String` | `getDataOrThrow​(java.lang.String key)` | data is the secret value.
  `DaprProtos.GetSecretResponse` | `getDefaultInstanceForType()` |
  `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
  `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
  `java.util.Map<java.lang.String,​java.lang.String>` | `getMutableData()` | Deprecated.
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
  `protected com.google.protobuf.MapField` | `internalGetMapField​(int number)` |
  `protected com.google.protobuf.MapField` | `internalGetMutableMapField​(int number)` |
  `boolean` | `isInitialized()` |
  `DaprProtos.GetSecretResponse.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `DaprProtos.GetSecretResponse.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
  `DaprProtos.GetSecretResponse.Builder` | `mergeFrom​(DaprProtos.GetSecretResponse other)` |
  `DaprProtos.GetSecretResponse.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
  `DaprProtos.GetSecretResponse.Builder` | `putAllData​(java.util.Map<java.lang.String,​java.lang.String> values)` | data is the secret value.
  `DaprProtos.GetSecretResponse.Builder` | `putData​(java.lang.String key, java.lang.String value)` | data is the secret value.
  `DaprProtos.GetSecretResponse.Builder` | `removeData​(java.lang.String key)` | data is the secret value.
  `DaprProtos.GetSecretResponse.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)` |
  `DaprProtos.GetSecretResponse.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)` |
  `DaprProtos.GetSecretResponse.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)
    Overrides:
      `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretResponse.Builder>`

  - ### internalGetMutableMapField

    protected com.google.protobuf.MapField internalGetMutableMapField​(int number)
    Overrides:
      `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretResponse.Builder>`

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretResponse.Builder>`

  - ### clear

    public DaprProtos.GetSecretResponse.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretResponse.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretResponse.Builder>`

  - ### getDefaultInstanceForType

    public DaprProtos.GetSecretResponse getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public DaprProtos.GetSecretResponse build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public DaprProtos.GetSecretResponse buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### clone

    public DaprProtos.GetSecretResponse.Builder clone()
    Specified by:
      `clone` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretResponse.Builder>`

  - ### setField

    public DaprProtos.GetSecretResponse.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)
    Specified by:
      `setField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretResponse.Builder>`

  - ### clearField

    public DaprProtos.GetSecretResponse.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretResponse.Builder>`

  - ### clearOneof

    public DaprProtos.GetSecretResponse.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretResponse.Builder>`

  - ### setRepeatedField

    public DaprProtos.GetSecretResponse.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)
    Specified by:
      `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretResponse.Builder>`

  - ### addRepeatedField

    public DaprProtos.GetSecretResponse.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)
    Specified by:
      `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretResponse.Builder>`

  - ### mergeFrom

    public DaprProtos.GetSecretResponse.Builder mergeFrom​(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.GetSecretResponse.Builder>`

  - ### mergeFrom

    public DaprProtos.GetSecretResponse.Builder mergeFrom​(DaprProtos.GetSecretResponse other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretResponse.Builder>`

  - ### mergeFrom

    public DaprProtos.GetSecretResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws java.io.IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.GetSecretResponse.Builder>`
    Throws:
      `java.io.IOException`

  - ### getDataCount

    public int getDataCount()
    Description copied from interface: `DaprProtos.GetSecretResponseOrBuilder`

         data is the secret value. Some secret store, such as kubernetes secret
         store, can save multiple secrets for single secret key.

    `map<string, string> data = 1;`
    Specified by:
      `getDataCount` in interface `DaprProtos.GetSecretResponseOrBuilder`

  - ### containsData

    public boolean containsData​(java.lang.String key)

         data is the secret value. Some secret store, such as kubernetes secret
         store, can save multiple secrets for single secret key.

    `map<string, string> data = 1;`
    Specified by:
      `containsData` in interface `DaprProtos.GetSecretResponseOrBuilder`

  - ### getData

    @Deprecated public java.util.Map<java.lang.String,​java.lang.String> getData()
    Deprecated.
    Use `getDataMap()` instead.
    Specified by:
      `getData` in interface `DaprProtos.GetSecretResponseOrBuilder`

  - ### getDataMap

    public java.util.Map<java.lang.String,​java.lang.String> getDataMap()

         data is the secret value. Some secret store, such as kubernetes secret
         store, can save multiple secrets for single secret key.

    `map<string, string> data = 1;`
    Specified by:
      `getDataMap` in interface `DaprProtos.GetSecretResponseOrBuilder`

  - ### getDataOrDefault

    public java.lang.String getDataOrDefault​(java.lang.String key, java.lang.String defaultValue)

         data is the secret value. Some secret store, such as kubernetes secret
         store, can save multiple secrets for single secret key.

    `map<string, string> data = 1;`
    Specified by:
      `getDataOrDefault` in interface `DaprProtos.GetSecretResponseOrBuilder`

  - ### getDataOrThrow

    public java.lang.String getDataOrThrow​(java.lang.String key)

         data is the secret value. Some secret store, such as kubernetes secret
         store, can save multiple secrets for single secret key.

    `map<string, string> data = 1;`
    Specified by:
      `getDataOrThrow` in interface `DaprProtos.GetSecretResponseOrBuilder`

  - ### clearData

    public DaprProtos.GetSecretResponse.Builder clearData()

  - ### removeData

    public DaprProtos.GetSecretResponse.Builder removeData​(java.lang.String key)

         data is the secret value. Some secret store, such as kubernetes secret
         store, can save multiple secrets for single secret key.

    `map<string, string> data = 1;`

  - ### getMutableData

    @Deprecated public java.util.Map<java.lang.String,​java.lang.String> getMutableData()
    Deprecated.
    Use alternate mutation accessors instead.

  - ### putData

    public DaprProtos.GetSecretResponse.Builder putData​(java.lang.String key, java.lang.String value)

         data is the secret value. Some secret store, such as kubernetes secret
         store, can save multiple secrets for single secret key.

    `map<string, string> data = 1;`

  - ### putAllData

    public DaprProtos.GetSecretResponse.Builder putAllData​(java.util.Map<java.lang.String,​java.lang.String> values)

         data is the secret value. Some secret store, such as kubernetes secret
         store, can save multiple secrets for single secret key.

    `map<string, string> data = 1;`

  - ### setUnknownFields

    public final DaprProtos.GetSecretResponse.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretResponse.Builder>`

  - ### mergeUnknownFields

    public final DaprProtos.GetSecretResponse.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretResponse.Builder>`